#!/bin/sh
# This script is part of the DAZL Web application
#
# ----------------------------------------------------------------------------
# For details on this code see the books "z/VM and Linux on IBM System z:
# The Virtualization Cookbook for <x>" on the Web at: http://linuxvm.org/present
# where <x> is "SLES 10" or "RHEL 5"
#
# This code is shipped under the Common Public License. See the file
# Common-Public-License.txt or http://www.opensource.org/licenses/cpl1.0.txt
# ----------------------------------------------------------------------------
#
sudo ssh root@$1 sitar --format=html --outfile=/etc/sitar.html > /dev/null 2>&1
rc=$?
echo "Content-type: text/html"
echo ""
if [ $rc != 0 ]; then # report error
  echo "<head>"
  echo "<title>Error running sitar on $1</title>"
  echo "</head>"
  echo "<body>"
  echo "<h1>Error running sitar on $1</h1>"
  echo "Return code from from \"sudo ssh root@$1 sitar\" = $rc"
  echo "</body>"
else  # success - just cat the html file
  sudo ssh root@$1 cat /etc/sitar.html 
fi  
